Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-sdl2/gotodlg.c File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Functions | Variables
gotodlg.c File Reference
`#include <stdlib.h>`
`#include <SDL2/SDL.h>`
`#include "bitvector.h"`
`#include "fcintl.h"`
`#include "log.h"`
`#include "game.h"`
`#include "fc_types.h"`
`#include "nation.h"`
`#include "unitlist.h"`
`#include "client_main.h"`
`#include "control.h"`
`#include "goto.h"`
`#include "colors.h"`
`#include "graphics.h"`
`#include "gui_id.h"`
`#include "gui_main.h"`
`#include "gui_tilespec.h"`
`#include "mapview.h"`
`#include "sprite.h"`
`#include "widget.h"`
`#include "gotodlg.h"`

Go to the source code of this file.

## Functions

static void | update_goto_dialog (void)
static int | goto_dialog_window_callback (struct widget *pwindow)
static int | exit_goto_dialog_callback (struct widget *pwidget)
static int | toggle_goto_nations_cities_dialog_callback (struct widget *pwidget)
static int | goto_city_callback (struct widget *pwidget)
static void | popup_goto_airlift_dialog (void)
void | popup_goto_dialog (void)
void | popup_airlift_dialog (void)
void | popdown_goto_airlift_dialog (void)

## Variables

static struct advanced_dialog * | goto_dlg = NULL
bv_player | all_players
static bool | GOTO = TRUE

## Function Documentation

## ◆ exit_goto_dialog_callback()

static int exit_goto_dialog_callback | ( | struct widget * | pwidget | ) |

static

Close goto dialog.

Definition at line 76 of file gotodlg.c.

Referenced by popup_goto_airlift_dialog().

## ◆ goto_city_callback()

static int goto_city_callback | ( | struct widget * | pwidget | ) |

static

User has selected city for unit to go to.

Definition at line 108 of file gotodlg.c.

Referenced by update_goto_dialog().

## ◆ goto_dialog_window_callback()

static int goto_dialog_window_callback | ( | struct widget * | pwindow | ) |

static

User interacted with goto dialog window.

Definition at line 64 of file gotodlg.c.

Referenced by popup_goto_airlift_dialog().

## ◆ popdown_goto_airlift_dialog()

void popdown_goto_airlift_dialog | ( | void |  | ) |

Popdown goto/airlift to a city dialog.

Definition at line 424 of file gotodlg.c.

Referenced by exit_goto_dialog_callback(), goto_city_callback(), and popdown_all_game_dialogs().

## ◆ popup_airlift_dialog()

void popup_airlift_dialog | ( | void |  | ) |

Popup a dialog to have the focus unit airlift to a city.

Definition at line 408 of file gotodlg.c.

Referenced by unit_order_callback().

## ◆ popup_goto_airlift_dialog()

static void popup_goto_airlift_dialog | ( | void |  | ) |

static

Popup a dialog to have the focus unit goto to a city.

Definition at line 246 of file gotodlg.c.

Referenced by popup_airlift_dialog(), and popup_goto_dialog().

## ◆ popup_goto_dialog()

void popup_goto_dialog | ( | void |  | ) |

Popup a dialog to have the focus unit goto to a city.

Definition at line 393 of file gotodlg.c.

## ◆ toggle_goto_nations_cities_dialog_callback()

static int toggle_goto_nations_cities_dialog_callback | ( | struct widget * | pwidget | ) |

static

Toggle whether player cities are listed as possible destinations.

Definition at line 89 of file gotodlg.c.

Referenced by popup_goto_airlift_dialog().

## ◆ update_goto_dialog()

static void update_goto_dialog | ( | void |  | ) |

static

Refresh goto dialog.

Definition at line 135 of file gotodlg.c.

Referenced by create_goto_dialog(), popup_goto_airlift_dialog(), and toggle_goto_nations_cities_dialog_callback().

## Variable Documentation

## ◆ all_players

bv_player all_players

Definition at line 56 of file gotodlg.c.

Referenced by popup_airlift_dialog(), popup_goto_airlift_dialog(), popup_goto_dialog(), toggle_goto_nations_cities_dialog_callback(), and update_goto_dialog().

## ◆ GOTO

bool GOTO = TRUE

static

Definition at line 57 of file gotodlg.c.

Referenced by goto_city_callback(), popdown_goto_airlift_dialog(), popup_airlift_dialog(), and update_goto_dialog().

## ◆ goto_dlg

struct advanced_dialog* goto_dlg = NULL

static

Definition at line 55 of file gotodlg.c.

Referenced by goto_dialog_window_callback(), popdown_goto_airlift_dialog(), popup_goto_airlift_dialog(), and update_goto_dialog().